{pkgs, ...}: {
  services.netbird.enable = true;

  systemd.services.netbird = {
    environment = {
      NB_DISABLE_SSH_CONFIG = "true";
    };
    path = [
      pkgs.shadow
      pkgs.util-linux
    ];
  };

  programs.ssh.extraConfig = ''
    Match exec "${pkgs.netbird}/bin/netbird ssh detect %h %p"
        PreferredAuthentications password,publickey,keyboard-interactive
        PasswordAuthentication yes
        PubkeyAuthentication yes
        BatchMode no
        ProxyCommand ${pkgs.netbird}/bin/netbird ssh proxy %h %p
        StrictHostKeyChecking no
        UserKnownHostsFile /dev/null
        CheckHostIP no
        LogLevel ERROR
  '';

  networking.firewall.checkReversePath = "loose";
}
